Pidgin MSNSLP Arbitrary Write Exploit Update

The vulnerability is caused due to boundary errors in libpurple.dll within the processing of MSNSLP messages. This can be exploited to cause an arbitrary write without user interaction. This module updates the MSN library, because of minor changes in the handling of the HTTP encapsulation of the MSN protocol within the Microsoft MSN server.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2009-2694
Product Version: 
10.5
Released Date: 
Friday, July 30, 2010 - 00:00